<?xml version="1.0" encoding="UTF-8"?>
<?fileVersion 4.0.0?><cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
  	
  <storageModule moduleId="org.eclipse.cdt.core.settings">
    		
    <cconfiguration id="fr.ac6.managedbuild.config.gnu.cross.exe.debug.217047311">
      			
      <storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="fr.ac6.managedbuild.config.gnu.cross.exe.debug.217047311" moduleId="org.eclipse.cdt.core.settings" name="Debug">
        				
        <externalSettings />
        				
        <extensions>
          					
          <extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser" />
          					
          <extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
          					
          <extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
          					
          <extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
          					
          <extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser" />
          					
          <extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
          				
        </extensions>
        			
      </storageModule>
      			
      <storageModule moduleId="cdtBuildSystem" version="4.0.0">
        				
        <configuration artifactExtension="elf" artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.debug" cleanCommand="rm -rf" description="" id="fr.ac6.managedbuild.config.gnu.cross.exe.debug.217047311" name="Debug" parent="fr.ac6.managedbuild.config.gnu.cross.exe.debug" postannouncebuildStep="Generating hex and Printing size information:" postbuildStep="arm-none-eabi-objcopy -O ihex &quot;${BuildArtifactFileBaseName}.elf&quot; &quot;${BuildArtifactFileBaseName}.hex&quot; &amp;&amp; arm-none-eabi-size &quot;${BuildArtifactFileName}&quot;">
          					
          <folderInfo id="fr.ac6.managedbuild.config.gnu.cross.exe.debug.217047311." name="/" resourcePath="">
            						
            <toolChain id="fr.ac6.managedbuild.toolchain.gnu.cross.exe.debug.1025303551" name="Ac6 STM32 MCU GCC" superClass="fr.ac6.managedbuild.toolchain.gnu.cross.exe.debug">
              							
              <option id="fr.ac6.managedbuild.option.gnu.cross.prefix.1501979575" name="Prefix" superClass="fr.ac6.managedbuild.option.gnu.cross.prefix" value="arm-none-eabi-" valueType="string" />
              							
              <option id="fr.ac6.managedbuild.option.gnu.cross.mcu.349728603" name="Mcu" superClass="fr.ac6.managedbuild.option.gnu.cross.mcu" value="STM32G474CEUx" valueType="string" />
              							
              <option id="fr.ac6.managedbuild.option.gnu.cross.board.1626348378" name="Board" superClass="fr.ac6.managedbuild.option.gnu.cross.board" value="firmware" valueType="string" />
              							
              <option id="fr.ac6.managedbuild.option.gnu.cross.core.1083960614" name="Core" superClass="fr.ac6.managedbuild.option.gnu.cross.core" valueType="stringList">
                								
                <listOptionValue builtIn="false" value="ARM Cortex-M4" />
                								
                <listOptionValue builtIn="false" value="CM4" />
                							
              </option>
              							
              <option id="fr.ac6.managedbuild.option.gnu.cross.instructionSet.1284390906" name="Instruction Set" superClass="fr.ac6.managedbuild.option.gnu.cross.instructionSet" value="fr.ac6.managedbuild.option.gnu.cross.instructionSet.thumbII" valueType="enumerated" />
              							
              <option id="fr.ac6.managedbuild.option.gnu.cross.fpu.1528520636" name="Floating point hardware" superClass="fr.ac6.managedbuild.option.gnu.cross.fpu" value="fr.ac6.managedbuild.option.gnu.cross.fpu.fpv4-sp-d16" valueType="enumerated" />
              							
              <option id="fr.ac6.managedbuild.option.gnu.cross.floatabi.1736733434" name="Floating-point ABI" superClass="fr.ac6.managedbuild.option.gnu.cross.floatabi" value="fr.ac6.managedbuild.option.gnu.cross.floatabi.hard" valueType="enumerated" />
              							
              <targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="fr.ac6.managedbuild.targetPlatform.gnu.cross.1619437823" isAbstract="false" osList="all" superClass="fr.ac6.managedbuild.targetPlatform.gnu.cross" />
              							
              <builder buildPath="${workspace_loc:/firmware}/Debug" id="fr.ac6.managedbuild.builder.gnu.cross.1854908233" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="Gnu Make Builder" superClass="fr.ac6.managedbuild.builder.gnu.cross">
                								
                <outputEntries>
                  									
                  <entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="outputPath" name="Debug" />
                  								
                </outputEntries>
                							
              </builder>
              							
              <tool id="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.1352314558" name="MCU GCC Compiler" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.compiler">
                								
                <option defaultValue="gnu.c.optimization.level.none" id="fr.ac6.managedbuild.gnu.c.compiler.option.optimization.level.1650858177" name="Optimization Level" superClass="fr.ac6.managedbuild.gnu.c.compiler.option.optimization.level" useByScannerDiscovery="false" value="fr.ac6.managedbuild.gnu.c.optimization.level.debug" valueType="enumerated" />
                								
                <option id="gnu.c.compiler.option.debugging.level.450561010" name="Debug Level" superClass="gnu.c.compiler.option.debugging.level" useByScannerDiscovery="false" value="gnu.c.debugging.level.max" valueType="enumerated" />
                								
                <option id="gnu.c.compiler.option.include.paths.800238844" name="Include paths (-I)" superClass="gnu.c.compiler.option.include.paths" useByScannerDiscovery="false" valueType="includePath">
                  <listOptionValue builtIn="false" value="../Core/Inc" />
                  
                  
                  <listOptionValue builtIn="false" value="../USB_Device/App" />
                  <listOptionValue builtIn="false" value="../USB_Device/Target" />
                  
                  
                  
                  
                  
                  
                  
                <listOptionValue builtIn="false" value="../Drivers/STM32G4xx_HAL_Driver/Inc" /><listOptionValue builtIn="false" value="../Drivers/STM32G4xx_HAL_Driver/Inc/Legacy" /><listOptionValue builtIn="false" value="../Middlewares/Third_Party/FreeRTOS/Source/include" /><listOptionValue builtIn="false" value="../Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS" /><listOptionValue builtIn="false" value="../Middlewares/Third_Party/FreeRTOS/Source/portable/GCC/ARM_CM4F" /><listOptionValue builtIn="false" value="../Middlewares/ST/STM32_USB_Device_Library/Core/Inc" /><listOptionValue builtIn="false" value="../Middlewares/ST/STM32_USB_Device_Library/Class/CDC/Inc" /><listOptionValue builtIn="false" value="../Drivers/CMSIS/Device/ST/STM32G4xx/Include" /><listOptionValue builtIn="false" value="../Drivers/CMSIS/Include" /></option>
                								
                <option id="gnu.c.compiler.option.preprocessor.def.symbols.1100065524" name="Defined symbols (-D)" superClass="gnu.c.compiler.option.preprocessor.def.symbols" useByScannerDiscovery="false" valueType="definedSymbols">
                  
                  
                  <listOptionValue builtIn="false" value="USE_HAL_DRIVER" />
                  <listOptionValue builtIn="false" value="STM32G474xx" />
                </option>
                								
                <option id="fr.ac6.managedbuild.gnu.c.compiler.option.misc.other.1746394316" superClass="fr.ac6.managedbuild.gnu.c.compiler.option.misc.other" value="-fmessage-length=0" valueType="string" />
                								
                <inputType id="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.c.30334953" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.c" />
                								
                <inputType id="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.s.890520675" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.s" />
                							
              </tool>
              							
              <tool id="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.2023668300" name="MCU G++ Compiler" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler">
                								
                <option defaultValue="gnu.cpp.optimization.level.none" id="fr.ac6.managedbuild.gnu.cpp.compiler.option.optimization.level.1793639010" name="Optimization Level" superClass="fr.ac6.managedbuild.gnu.cpp.compiler.option.optimization.level" useByScannerDiscovery="false" value="fr.ac6.managedbuild.gnu.cpp.optimization.level.debug" valueType="enumerated" />
                								
                <option id="gnu.cpp.compiler.option.debugging.level.502815847" name="Debug Level" superClass="gnu.cpp.compiler.option.debugging.level" useByScannerDiscovery="false" value="gnu.cpp.compiler.debugging.level.max" valueType="enumerated" />
                								
                <option id="gnu.cpp.compiler.option.include.paths.1338966178" name="Include paths (-I)" superClass="gnu.cpp.compiler.option.include.paths" useByScannerDiscovery="false" valueType="includePath">
                  <listOptionValue builtIn="false" value="../Core/Inc" />
                  
                  
                  <listOptionValue builtIn="false" value="../USB_Device/App" />
                  <listOptionValue builtIn="false" value="../USB_Device/Target" />
                  
                  
                  
                  
                  
                  
                  
                <listOptionValue builtIn="false" value="../Drivers/STM32G4xx_HAL_Driver/Inc" /><listOptionValue builtIn="false" value="../Drivers/STM32G4xx_HAL_Driver/Inc/Legacy" /><listOptionValue builtIn="false" value="../Middlewares/Third_Party/FreeRTOS/Source/include" /><listOptionValue builtIn="false" value="../Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS" /><listOptionValue builtIn="false" value="../Middlewares/Third_Party/FreeRTOS/Source/portable/GCC/ARM_CM4F" /><listOptionValue builtIn="false" value="../Middlewares/ST/STM32_USB_Device_Library/Core/Inc" /><listOptionValue builtIn="false" value="../Middlewares/ST/STM32_USB_Device_Library/Class/CDC/Inc" /><listOptionValue builtIn="false" value="../Drivers/CMSIS/Device/ST/STM32G4xx/Include" /><listOptionValue builtIn="false" value="../Drivers/CMSIS/Include" /></option>
                								
                <option id="gnu.cpp.compiler.option.preprocessor.def.1125212678" name="Defined symbols (-D)" superClass="gnu.cpp.compiler.option.preprocessor.def" useByScannerDiscovery="false" valueType="definedSymbols">
                  
                  
                  <listOptionValue builtIn="false" value="USE_HAL_DRIVER" />
                  <listOptionValue builtIn="false" value="STM32G474xx" />
                </option>
                								
                <option id="fr.ac6.managedbuild.gnu.cpp.compiler.option.misc.other.1368494629" superClass="fr.ac6.managedbuild.gnu.cpp.compiler.option.misc.other" value="-fmessage-length=0" valueType="string" />
                								
                <inputType id="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.input.cpp.385169849" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.input.cpp" />
                								
                <inputType id="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.input.s.474253560" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.input.s" />
                							
              </tool>
              							
              <tool id="fr.ac6.managedbuild.tool.gnu.cross.c.linker.1802970193" name="MCU GCC Linker" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.linker">
                								
                <option id="fr.ac6.managedbuild.tool.gnu.cross.c.linker.script.1642069874" name="Linker Script (-T)" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.linker.script" value="../STM32G474CEUx_FLASH.ld" valueType="string" />
                								
                <option id="gnu.c.link.option.libs.1497649211" name="Libraries (-l)" superClass="gnu.c.link.option.libs" valueType="libs" />
                								
                <option id="gnu.c.link.option.paths.691439053" name="Library search path (-L)" superClass="gnu.c.link.option.paths" valueType="libPaths" />
                								
                <option id="gnu.c.link.option.ldflags.5082215" superClass="gnu.c.link.option.ldflags" value="-specs=nosys.specs -specs=nano.specs" valueType="string" />
                								
                <option id="gnu.c.link.option.other.1662872184" name="Other options (-Xlinker [option])" superClass="gnu.c.link.option.other" useByScannerDiscovery="false" valueType="stringList" />
                								
                <inputType id="cdt.managedbuild.tool.gnu.c.linker.input.1639782880" superClass="cdt.managedbuild.tool.gnu.c.linker.input">
                  									
                  <additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)" />
                  									
                  <additionalInput kind="additionalinput" paths="$(LIBS)" />
                  								
                </inputType>
                							
              </tool>
              							
              <tool id="fr.ac6.managedbuild.tool.gnu.cross.cpp.linker.578146941" name="MCU G++ Linker" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.linker">
                								
                <option id="fr.ac6.managedbuild.tool.gnu.cross.cpp.linker.script.152523769" name="Linker Script (-T)" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.linker.script" value="../STM32G474CEUx_FLASH.ld" valueType="string" />
                								
                <option id="gnu.cpp.link.option.libs.49170723" name="Libraries (-l)" superClass="gnu.cpp.link.option.libs" valueType="libs" />
                								
                <option id="gnu.cpp.link.option.paths.952519821" name="Library search path (-L)" superClass="gnu.cpp.link.option.paths" valueType="libPaths" />
                								
                <option id="gnu.cpp.link.option.flags.219119590" superClass="gnu.cpp.link.option.flags" value="-specs=nosys.specs -specs=nano.specs" valueType="string" />
                								
                <option id="gnu.cpp.link.option.other.1700475571" name="Other options (-Xlinker [option])" superClass="gnu.cpp.link.option.other" useByScannerDiscovery="false" valueType="stringList" />
                								
                <inputType id="cdt.managedbuild.tool.gnu.cpp.linker.input.1031000933" superClass="cdt.managedbuild.tool.gnu.cpp.linker.input">
                  									
                  <additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)" />
                  									
                  <additionalInput kind="additionalinput" paths="$(LIBS)" />
                  								
                </inputType>
                							
              </tool>
              							
              <tool id="fr.ac6.managedbuild.tool.gnu.archiver.1977884872" name="MCU GCC Archiver" superClass="fr.ac6.managedbuild.tool.gnu.archiver" />
              							
              <tool id="fr.ac6.managedbuild.tool.gnu.cross.assembler.2118906803" name="MCU GCC Assembler" superClass="fr.ac6.managedbuild.tool.gnu.cross.assembler">
                								
                <option id="gnu.both.asm.option.include.paths.1771194884" name="Include paths (-I)" superClass="gnu.both.asm.option.include.paths" valueType="includePath">
									
									
								</option>
                								
                <inputType id="cdt.managedbuild.tool.gnu.assembler.input.1202919872" superClass="cdt.managedbuild.tool.gnu.assembler.input" />
                								
                <inputType id="fr.ac6.managedbuild.tool.gnu.cross.assembler.input.981835128" superClass="fr.ac6.managedbuild.tool.gnu.cross.assembler.input" />
                							
              </tool>
              						
            </toolChain>
            					
          </folderInfo>
          					
          <sourceEntries>
            <entry excluding="" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="startup" />
            <entry excluding="" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="USB_Device" />
            <entry excluding="" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="Middlewares" />
            <entry excluding="" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="Drivers" />
            <entry excluding="" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="Core" />
            						
					
          </sourceEntries>
          				
        </configuration>
        			
      </storageModule>
      			
      <storageModule moduleId="org.eclipse.cdt.core.externalSettings" />
      		
    </cconfiguration>
    		
    <cconfiguration id="fr.ac6.managedbuild.config.gnu.cross.exe.release.1538445209">
      			
      <storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="fr.ac6.managedbuild.config.gnu.cross.exe.release.1538445209" moduleId="org.eclipse.cdt.core.settings" name="Release">
        				
        <externalSettings />
        				
        <extensions>
          					
          <extension id="org.eclipse.cdt.core.ELF" point="org.eclipse.cdt.core.BinaryParser" />
          					
          <extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
          					
          <extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
          					
          <extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
          					
          <extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser" />
          					
          <extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser" />
          				
        </extensions>
        			
      </storageModule>
      			
      <storageModule moduleId="cdtBuildSystem" version="4.0.0">
        				
        <configuration artifactExtension="elf" artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.release" cleanCommand="rm -rf" description="" id="fr.ac6.managedbuild.config.gnu.cross.exe.release.1538445209" name="Release" parent="fr.ac6.managedbuild.config.gnu.cross.exe.release" postannouncebuildStep="Generating hex and Printing size information:" postbuildStep="arm-none-eabi-objcopy -O ihex &quot;${BuildArtifactFileBaseName}.elf&quot; &quot;${BuildArtifactFileBaseName}.hex&quot; &amp;&amp; arm-none-eabi-size &quot;${BuildArtifactFileName}&quot;">
          					
          <folderInfo id="fr.ac6.managedbuild.config.gnu.cross.exe.release.1538445209." name="/" resourcePath="">
            						
            <toolChain id="fr.ac6.managedbuild.toolchain.gnu.cross.exe.release.945487681" name="Ac6 STM32 MCU GCC" superClass="fr.ac6.managedbuild.toolchain.gnu.cross.exe.release">
              							
              <option id="fr.ac6.managedbuild.option.gnu.cross.prefix.1501979575" name="Prefix" superClass="fr.ac6.managedbuild.option.gnu.cross.prefix" value="arm-none-eabi-" valueType="string" />
              							
              <option id="fr.ac6.managedbuild.option.gnu.cross.mcu.349728603" name="Mcu" superClass="fr.ac6.managedbuild.option.gnu.cross.mcu" value="STM32G474CEUx" valueType="string" />
              							
              <option id="fr.ac6.managedbuild.option.gnu.cross.board.1626348378" name="Board" superClass="fr.ac6.managedbuild.option.gnu.cross.board" value="firmware" valueType="string" />
              							
              <option id="fr.ac6.managedbuild.option.gnu.cross.core.1083960614" name="Core" superClass="fr.ac6.managedbuild.option.gnu.cross.core" valueType="stringList">
                								
                <listOptionValue builtIn="false" value="ARM Cortex-M4" />
                								
                <listOptionValue builtIn="false" value="CM4" />
                							
              </option>
              							
              <option id="fr.ac6.managedbuild.option.gnu.cross.instructionSet.1284390906" name="Instruction Set" superClass="fr.ac6.managedbuild.option.gnu.cross.instructionSet" value="fr.ac6.managedbuild.option.gnu.cross.instructionSet.thumbII" valueType="enumerated" />
              							
              <option id="fr.ac6.managedbuild.option.gnu.cross.fpu.1528520636" name="Floating point hardware" superClass="fr.ac6.managedbuild.option.gnu.cross.fpu" value="fr.ac6.managedbuild.option.gnu.cross.fpu.fpv4-sp-d16" valueType="enumerated" />
              							
              <option id="fr.ac6.managedbuild.option.gnu.cross.floatabi.1736733434" name="Floating-point ABI" superClass="fr.ac6.managedbuild.option.gnu.cross.floatabi" value="fr.ac6.managedbuild.option.gnu.cross.floatabi.hard" valueType="enumerated" />
              							
              <targetPlatform archList="all" binaryParser="org.eclipse.cdt.core.ELF" id="fr.ac6.managedbuild.targetPlatform.gnu.cross.1619437823" isAbstract="false" osList="all" superClass="fr.ac6.managedbuild.targetPlatform.gnu.cross" />
              							
              <builder buildPath="${workspace_loc:/firmware}/Release" id="fr.ac6.managedbuild.builder.gnu.cross.1854908233" keepEnvironmentInBuildfile="false" managedBuildOn="true" name="Gnu Make Builder" superClass="fr.ac6.managedbuild.builder.gnu.cross">
                								
                <outputEntries>
                  									
                  <entry flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="outputPath" name="Release" />
                  								
                </outputEntries>
                							
              </builder>
              							
              <tool id="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.1352314558" name="MCU GCC Compiler" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.compiler">
                								
                <option defaultValue="gnu.c.optimization.level.none" id="fr.ac6.managedbuild.gnu.c.compiler.option.optimization.level.1650858177" name="Optimization Level" superClass="fr.ac6.managedbuild.gnu.c.compiler.option.optimization.level" useByScannerDiscovery="false" value="fr.ac6.managedbuild.gnu.c.optimization.level.debug" valueType="enumerated" />
                								
                <option id="gnu.c.compiler.option.debugging.level.450561010" name="Debug Level" superClass="gnu.c.compiler.option.debugging.level" useByScannerDiscovery="false" value="gnu.c.debugging.level.max" valueType="enumerated" />
                								
                <option id="gnu.c.compiler.option.include.paths.800238844" name="Include paths (-I)" superClass="gnu.c.compiler.option.include.paths" useByScannerDiscovery="false" valueType="includePath">
                  <listOptionValue builtIn="false" value="../Core/Inc" />
                  
                  
                  <listOptionValue builtIn="false" value="../USB_Device/App" />
                  <listOptionValue builtIn="false" value="../USB_Device/Target" />
                  
                  
                  
                  
                  
                  
                  
                <listOptionValue builtIn="false" value="../Drivers/STM32G4xx_HAL_Driver/Inc" /><listOptionValue builtIn="false" value="../Drivers/STM32G4xx_HAL_Driver/Inc/Legacy" /><listOptionValue builtIn="false" value="../Middlewares/Third_Party/FreeRTOS/Source/include" /><listOptionValue builtIn="false" value="../Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS" /><listOptionValue builtIn="false" value="../Middlewares/Third_Party/FreeRTOS/Source/portable/GCC/ARM_CM4F" /><listOptionValue builtIn="false" value="../Middlewares/ST/STM32_USB_Device_Library/Core/Inc" /><listOptionValue builtIn="false" value="../Middlewares/ST/STM32_USB_Device_Library/Class/CDC/Inc" /><listOptionValue builtIn="false" value="../Drivers/CMSIS/Device/ST/STM32G4xx/Include" /><listOptionValue builtIn="false" value="../Drivers/CMSIS/Include" /></option>
                								
                <option id="gnu.c.compiler.option.preprocessor.def.symbols.1100065524" name="Defined symbols (-D)" superClass="gnu.c.compiler.option.preprocessor.def.symbols" useByScannerDiscovery="false" valueType="definedSymbols">
                  
                  
                  <listOptionValue builtIn="false" value="USE_HAL_DRIVER" />
                  <listOptionValue builtIn="false" value="STM32G474xx" />
                </option>
                								
                <option id="fr.ac6.managedbuild.gnu.c.compiler.option.misc.other.1746394316" superClass="fr.ac6.managedbuild.gnu.c.compiler.option.misc.other" value="-fmessage-length=0" valueType="string" />
                								
                <inputType id="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.c.30334953" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.c" />
                								
                <inputType id="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.s.890520675" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.s" />
                							
              </tool>
              							
              <tool id="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.2023668300" name="MCU G++ Compiler" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler">
                								
                <option defaultValue="gnu.cpp.optimization.level.none" id="fr.ac6.managedbuild.gnu.cpp.compiler.option.optimization.level.1793639010" name="Optimization Level" superClass="fr.ac6.managedbuild.gnu.cpp.compiler.option.optimization.level" useByScannerDiscovery="false" value="fr.ac6.managedbuild.gnu.cpp.optimization.level.debug" valueType="enumerated" />
                								
                <option id="gnu.cpp.compiler.option.debugging.level.502815847" name="Debug Level" superClass="gnu.cpp.compiler.option.debugging.level" useByScannerDiscovery="false" value="gnu.cpp.debugging.level.max" valueType="enumerated" />
                								
                <option id="gnu.cpp.compiler.option.include.paths.1338966178" name="Include paths (-I)" superClass="gnu.cpp.compiler.option.include.paths" useByScannerDiscovery="false" valueType="includePath">
                  <listOptionValue builtIn="false" value="../Core/Inc" />
                  
                  
                  <listOptionValue builtIn="false" value="../USB_Device/App" />
                  <listOptionValue builtIn="false" value="../USB_Device/Target" />
                  
                  
                  
                  
                  
                  
                  
                <listOptionValue builtIn="false" value="../Drivers/STM32G4xx_HAL_Driver/Inc" /><listOptionValue builtIn="false" value="../Drivers/STM32G4xx_HAL_Driver/Inc/Legacy" /><listOptionValue builtIn="false" value="../Middlewares/Third_Party/FreeRTOS/Source/include" /><listOptionValue builtIn="false" value="../Middlewares/Third_Party/FreeRTOS/Source/CMSIS_RTOS" /><listOptionValue builtIn="false" value="../Middlewares/Third_Party/FreeRTOS/Source/portable/GCC/ARM_CM4F" /><listOptionValue builtIn="false" value="../Middlewares/ST/STM32_USB_Device_Library/Core/Inc" /><listOptionValue builtIn="false" value="../Middlewares/ST/STM32_USB_Device_Library/Class/CDC/Inc" /><listOptionValue builtIn="false" value="../Drivers/CMSIS/Device/ST/STM32G4xx/Include" /><listOptionValue builtIn="false" value="../Drivers/CMSIS/Include" /></option>
                								
                <option id="gnu.cpp.compiler.option.preprocessor.def.symbols.1745073868" name="Defined symbols (-D)" superClass="gnu.cpp.compiler.option.preprocessor.def.symbols" useByScannerDiscovery="false" valueType="definedSymbols">
                  
                  
                  <listOptionValue builtIn="false" value="USE_HAL_DRIVER" />
                  <listOptionValue builtIn="false" value="STM32G474xx" />
                </option>
                								
                <option id="fr.ac6.managedbuild.gnu.cpp.compiler.option.misc.other.1368494629" superClass="fr.ac6.managedbuild.gnu.cpp.compiler.option.misc.other" value="-fmessage-length=0" valueType="string" />
                								
                <inputType id="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.input.cpp.385169849" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.input.cpp" />
                								
                <inputType id="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.input.s.474253560" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.compiler.input.s" />
                							
              </tool>
              							
              <tool id="fr.ac6.managedbuild.tool.gnu.cross.c.linker.1802970193" name="MCU GCC Linker" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.linker">
                								
                <option id="fr.ac6.managedbuild.tool.gnu.cross.c.linker.script.1642069874" name="Linker Script (-T)" superClass="fr.ac6.managedbuild.tool.gnu.cross.c.linker.script" value="../STM32G474CEUx_FLASH.ld" valueType="string" />
                								
                <option id="gnu.c.link.option.libs.1497649211" name="Libraries (-l)" superClass="gnu.c.link.option.libs" valueType="libs" />
                								
                <option id="gnu.c.link.option.paths.691439053" name="Library search path (-L)" superClass="gnu.c.link.option.paths" valueType="libPaths" />
                								
                <option id="gnu.c.link.option.ldflags.5082215" superClass="gnu.c.link.option.ldflags" value="-specs=nosys.specs -specs=nano.specs" valueType="string" />
                								
                <option id="gnu.c.link.option.other.1662872184" name="Other options (-Xlinker [option])" superClass="gnu.c.link.option.other" useByScannerDiscovery="false" valueType="stringList" />
                								
                <inputType id="cdt.managedbuild.tool.gnu.c.linker.input.1639782880" superClass="cdt.managedbuild.tool.gnu.c.linker.input">
                  									
                  <additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)" />
                  									
                  <additionalInput kind="additionalinput" paths="$(LIBS)" />
                  								
                </inputType>
                							
              </tool>
              							
              <tool id="fr.ac6.managedbuild.tool.gnu.cross.cpp.linker.578146941" name="MCU G++ Linker" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.linker">
                								
                <option id="fr.ac6.managedbuild.tool.gnu.cross.cpp.linker.script.152523769" name="Linker Script (-T)" superClass="fr.ac6.managedbuild.tool.gnu.cross.cpp.linker.script" value="../STM32G474CEUx_FLASH.ld" valueType="string" />
                								
                <option id="gnu.cpp.link.option.libs.49170723" name="Libraries (-l)" superClass="gnu.cpp.link.option.libs" valueType="libs" />
                								
                <option id="gnu.cpp.link.option.paths.952519821" name="Library search path (-L)" superClass="gnu.cpp.link.option.paths" valueType="libPaths" />
                								
                <option id="gnu.cpp.link.option.ldflags.1240416935" superClass="gnu.cpp.link.option.ldflags" value="-specs=nosys.specs -specs=nano.specs" valueType="string" />
                								
                <option id="gnu.cpp.link.option.other.1700475571" name="Other options (-Xlinker [option])" superClass="gnu.cpp.link.option.other" useByScannerDiscovery="false" valueType="stringList" />
                								
                <inputType id="cdt.managedbuild.tool.gnu.cpp.linker.input.1031000933" superClass="cdt.managedbuild.tool.gnu.cpp.linker.input">
                  									
                  <additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)" />
                  									
                  <additionalInput kind="additionalinput" paths="$(LIBS)" />
                  								
                </inputType>
                							
              </tool>
              	
							
              <tool id="fr.ac6.managedbuild.tool.gnu.archiver.1977884872" name="MCU GCC Archiver" superClass="fr.ac6.managedbuild.tool.gnu.archiver" />
              							
              <tool id="fr.ac6.managedbuild.tool.gnu.cross.assembler.exe.release.1956769239" name="MCU GCC Assembler" superClass="fr.ac6.managedbuild.tool.gnu.cross.assembler.exe.release">
                								
                <option id="gnu.both.asm.option.include.paths.1771194884" name="Include paths (-I)" superClass="gnu.both.asm.option.include.paths" valueType="includePath">
									
								</option>
                								
                <inputType id="cdt.managedbuild.tool.gnu.assembler.input.1202919872" superClass="cdt.managedbuild.tool.gnu.assembler.input" />
                								
                <inputType id="fr.ac6.managedbuild.tool.gnu.cross.assembler.input.981835128" superClass="fr.ac6.managedbuild.tool.gnu.cross.assembler.input" />
                							
              </tool>
              						
            </toolChain>
            					
          </folderInfo>
          					
          <sourceEntries>
            <entry excluding="" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="startup" />
            <entry excluding="" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="USB_Device" />
            <entry excluding="" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="Middlewares" />
            <entry excluding="" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="Drivers" />
            <entry excluding="" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name="Core" />
            						
					
          </sourceEntries>
          				
        </configuration>
        			
      </storageModule>
      			
      <storageModule moduleId="org.eclipse.cdt.core.externalSettings" />
      		
    </cconfiguration>
    	
  </storageModule>
  	
  <storageModule moduleId="cdtBuildSystem" version="4.0.0">
    		
    <project id="firmware.fr.ac6.managedbuild.target.gnu.cross.exe.1507819591" name="Executable" projectType="fr.ac6.managedbuild.target.gnu.cross.exe" />
    	
  </storageModule>
  	
  <storageModule moduleId="scannerConfiguration">
    		
    <autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId="" />
    		
    <scannerConfigBuildInfo instanceId="fr.ac6.managedbuild.config.gnu.cross.exe.debug.217047311;fr.ac6.managedbuild.config.gnu.cross.exe.debug.217047311.;fr.ac6.managedbuild.tool.gnu.cross.c.compiler.1352314558;fr.ac6.managedbuild.tool.gnu.cross.c.compiler.input.c.30334953">
      			
      <autodiscovery enabled="false" problemReportingEnabled="true" selectedProfileId="" />
      		
    </scannerConfigBuildInfo>
    	
  </storageModule>
  	
  <storageModule moduleId="org.eclipse.cdt.core.LanguageSettingsProviders" />
  	
  <storageModule moduleId="refreshScope" versionNumber="2">
    		
    <configuration artifactName="${ProjName}" configurationName="Debug">
      			
      <resource resourceType="PROJECT" workspacePath="firmware" />
      		
    </configuration>
    	
  </storageModule>
  
</cproject>
